Subject: Re: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Stéphane Marks <[email-masked]>
Date: Tue, 22 Jul 2025 13:37:10 -0400

On Tue, Jul 22, 2025 at 1:32 PM Alvaro Ramirez <[email-masked]> wrote:

> Alvaro Ramirez <[email-masked]> writes:
>
> > Alvaro Ramirez <[email-masked]> writes:
>
> >> I’m running out of ideas to fix on hardware (and OS version) I
> >> don’t
> >> have access to. One thing that comes to mind is
> >> patching with the rollback, since I was able to get dictation
> >> working that way also. This may not be a future-proof solution
> >> to submit upstream, but helps unblock your use-case using local
> >> builds.
>
> Reached out to a friend with an Intel Macbook. The closest
> hardware setup I could find is his:
>
>   M-x emacs-version RET
>
>   GNU Emacs 31.0.50 (build 1, x86_64-apple-darwin24.5.0, NS
>   appkit-2575.60 Version 15.5 (Build 24F74)) of 2025-07-22
>
>   Macbook Pro 16-inch 2019 - Running macOS 15.5.
>
> He was able to install the patch and verify dictation works for
> this configuration.
>

It surely isn't chip related but some API work that's needed.  I tried to
do some research on this and read through several code bases (e.g.,
chromium) that work correctly on macOS 12, but came up short on specifics
for nsterm.

At least it seems the patch does no harm so I don't object at all to its
adoption, just the idea that it should be considered "complete" without
more work as users running < 15.5 may complain when it doesn't.